import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';


const jsonUrl =
  'https://gist.githubusercontent.com/anilnairxyz/1ca20f47982712cf6d4128064e3a6feb/raw/3e0c829745ebf567cb8e15399168ba2777ba1864/ne_10m_admin_1_India_Official.json';

export const useData = () => {
  const [data, setData] = useState(null);

  console.log(data);
  useEffect(() => {
   
    
    
    json(jsonUrl).then(topojsonData => {
     const { ne_10m_admin_1_India_Official } = topojsonData.objects;
      
    setData(feature(topojsonData, ne_10m_admin_1_India_Official));  
    });
  }, []);
  
  return data;
};